2017-07-21 12:59 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000434Cheat Engine(No Category)public2016-02-23 02:20
ReporterCsimbi 
Assigned ToDark Byte 
PrioritynormalSeverityblockReproducibilityalways
StatusresolvedResolutionfixed 
Platformx64OSWindows 7 x64OS VersionSP1
Summary0000434: TTreeNodes.GetNodeFromIndex: Consistency error - count too big
DescriptionI had a reversed structure open in the structure dissect window, with a lot of child structures open (these were a mix of reversed and auto-created structures).
Then, I figured CE would close all of them up so I selected the same structure from the Structure menu.
That's when the error popped.

Please note that I have both cleanup boxed checked (see attached screenshot).

Thanks for fixing!
Steps To ReproduceStart CE and attach to process.
Make sure your structure cleanup settings are the same as mine (see attached screenshot).

Open up the Structure dissect window, put in and address and select a reversed structure.

Open up about 20 pointers (make sure some a reversed, some are auto-generated - just to be sure) and leave them all open.

Select the currently selected structure from the 'Structure' menu again (yes, even if it's selected).

The error should pop immediately.

Note: Expect CE to go zombie (you will need to end task via task manager).
Additional Informationhttp://forum.cheatengine.org/viewtopic.php?p=5649774#5649774
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000937

Csimbi (reporter)

Forgot: CE 6.5.0.3

~0000939

Dark Byte (developer)

should be fixed now (github)
+Notes

-Issue History
Date Modified Username Field Change
2016-02-21 13:13 Csimbi New Issue
2016-02-21 13:13 Csimbi File Added: screenshots.zip
2016-02-21 13:14 Csimbi Note Added: 0000937
2016-02-22 13:09 Dark Byte Assigned To => Dark Byte
2016-02-22 13:09 Dark Byte Status new => acknowledged
2016-02-23 02:20 Dark Byte Note Added: 0000939
2016-02-23 02:20 Dark Byte Status acknowledged => resolved
2016-02-23 02:20 Dark Byte Resolution open => fixed
2016-06-05 15:18 Jptnuc Issue cloned: 0000468
+Issue History